# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.7

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/shadow8t4/Documents/CSCE441/L08

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/shadow8t4/Documents/CSCE441/L08/build

# Include any dependencies generated for this target.
include CMakeFiles/L08.dir/depend.make

# Include the progress variables for this target.
include CMakeFiles/L08.dir/progress.make

# Include the compile flags for this target's objects.
include CMakeFiles/L08.dir/flags.make

CMakeFiles/L08.dir/src/Camera.cpp.o: CMakeFiles/L08.dir/flags.make
CMakeFiles/L08.dir/src/Camera.cpp.o: ../src/Camera.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/shadow8t4/Documents/CSCE441/L08/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building CXX object CMakeFiles/L08.dir/src/Camera.cpp.o"
	/usr/lib/hardening-wrapper/bin/c++   $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles/L08.dir/src/Camera.cpp.o -c /home/shadow8t4/Documents/CSCE441/L08/src/Camera.cpp

CMakeFiles/L08.dir/src/Camera.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/L08.dir/src/Camera.cpp.i"
	/usr/lib/hardening-wrapper/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/shadow8t4/Documents/CSCE441/L08/src/Camera.cpp > CMakeFiles/L08.dir/src/Camera.cpp.i

CMakeFiles/L08.dir/src/Camera.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/L08.dir/src/Camera.cpp.s"
	/usr/lib/hardening-wrapper/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/shadow8t4/Documents/CSCE441/L08/src/Camera.cpp -o CMakeFiles/L08.dir/src/Camera.cpp.s

CMakeFiles/L08.dir/src/Camera.cpp.o.requires:

.PHONY : CMakeFiles/L08.dir/src/Camera.cpp.o.requires

CMakeFiles/L08.dir/src/Camera.cpp.o.provides: CMakeFiles/L08.dir/src/Camera.cpp.o.requires
	$(MAKE) -f CMakeFiles/L08.dir/build.make CMakeFiles/L08.dir/src/Camera.cpp.o.provides.build
.PHONY : CMakeFiles/L08.dir/src/Camera.cpp.o.provides

CMakeFiles/L08.dir/src/Camera.cpp.o.provides.build: CMakeFiles/L08.dir/src/Camera.cpp.o


CMakeFiles/L08.dir/src/GLSL.cpp.o: CMakeFiles/L08.dir/flags.make
CMakeFiles/L08.dir/src/GLSL.cpp.o: ../src/GLSL.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/shadow8t4/Documents/CSCE441/L08/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Building CXX object CMakeFiles/L08.dir/src/GLSL.cpp.o"
	/usr/lib/hardening-wrapper/bin/c++   $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles/L08.dir/src/GLSL.cpp.o -c /home/shadow8t4/Documents/CSCE441/L08/src/GLSL.cpp

CMakeFiles/L08.dir/src/GLSL.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/L08.dir/src/GLSL.cpp.i"
	/usr/lib/hardening-wrapper/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/shadow8t4/Documents/CSCE441/L08/src/GLSL.cpp > CMakeFiles/L08.dir/src/GLSL.cpp.i

CMakeFiles/L08.dir/src/GLSL.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/L08.dir/src/GLSL.cpp.s"
	/usr/lib/hardening-wrapper/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/shadow8t4/Documents/CSCE441/L08/src/GLSL.cpp -o CMakeFiles/L08.dir/src/GLSL.cpp.s

CMakeFiles/L08.dir/src/GLSL.cpp.o.requires:

.PHONY : CMakeFiles/L08.dir/src/GLSL.cpp.o.requires

CMakeFiles/L08.dir/src/GLSL.cpp.o.provides: CMakeFiles/L08.dir/src/GLSL.cpp.o.requires
	$(MAKE) -f CMakeFiles/L08.dir/build.make CMakeFiles/L08.dir/src/GLSL.cpp.o.provides.build
.PHONY : CMakeFiles/L08.dir/src/GLSL.cpp.o.provides

CMakeFiles/L08.dir/src/GLSL.cpp.o.provides.build: CMakeFiles/L08.dir/src/GLSL.cpp.o


CMakeFiles/L08.dir/src/MatrixStack.cpp.o: CMakeFiles/L08.dir/flags.make
CMakeFiles/L08.dir/src/MatrixStack.cpp.o: ../src/MatrixStack.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/shadow8t4/Documents/CSCE441/L08/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building CXX object CMakeFiles/L08.dir/src/MatrixStack.cpp.o"
	/usr/lib/hardening-wrapper/bin/c++   $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles/L08.dir/src/MatrixStack.cpp.o -c /home/shadow8t4/Documents/CSCE441/L08/src/MatrixStack.cpp

CMakeFiles/L08.dir/src/MatrixStack.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/L08.dir/src/MatrixStack.cpp.i"
	/usr/lib/hardening-wrapper/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/shadow8t4/Documents/CSCE441/L08/src/MatrixStack.cpp > CMakeFiles/L08.dir/src/MatrixStack.cpp.i

CMakeFiles/L08.dir/src/MatrixStack.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/L08.dir/src/MatrixStack.cpp.s"
	/usr/lib/hardening-wrapper/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/shadow8t4/Documents/CSCE441/L08/src/MatrixStack.cpp -o CMakeFiles/L08.dir/src/MatrixStack.cpp.s

CMakeFiles/L08.dir/src/MatrixStack.cpp.o.requires:

.PHONY : CMakeFiles/L08.dir/src/MatrixStack.cpp.o.requires

CMakeFiles/L08.dir/src/MatrixStack.cpp.o.provides: CMakeFiles/L08.dir/src/MatrixStack.cpp.o.requires
	$(MAKE) -f CMakeFiles/L08.dir/build.make CMakeFiles/L08.dir/src/MatrixStack.cpp.o.provides.build
.PHONY : CMakeFiles/L08.dir/src/MatrixStack.cpp.o.provides

CMakeFiles/L08.dir/src/MatrixStack.cpp.o.provides.build: CMakeFiles/L08.dir/src/MatrixStack.cpp.o


CMakeFiles/L08.dir/src/Program.cpp.o: CMakeFiles/L08.dir/flags.make
CMakeFiles/L08.dir/src/Program.cpp.o: ../src/Program.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/shadow8t4/Documents/CSCE441/L08/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Building CXX object CMakeFiles/L08.dir/src/Program.cpp.o"
	/usr/lib/hardening-wrapper/bin/c++   $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles/L08.dir/src/Program.cpp.o -c /home/shadow8t4/Documents/CSCE441/L08/src/Program.cpp

CMakeFiles/L08.dir/src/Program.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/L08.dir/src/Program.cpp.i"
	/usr/lib/hardening-wrapper/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/shadow8t4/Documents/CSCE441/L08/src/Program.cpp > CMakeFiles/L08.dir/src/Program.cpp.i

CMakeFiles/L08.dir/src/Program.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/L08.dir/src/Program.cpp.s"
	/usr/lib/hardening-wrapper/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/shadow8t4/Documents/CSCE441/L08/src/Program.cpp -o CMakeFiles/L08.dir/src/Program.cpp.s

CMakeFiles/L08.dir/src/Program.cpp.o.requires:

.PHONY : CMakeFiles/L08.dir/src/Program.cpp.o.requires

CMakeFiles/L08.dir/src/Program.cpp.o.provides: CMakeFiles/L08.dir/src/Program.cpp.o.requires
	$(MAKE) -f CMakeFiles/L08.dir/build.make CMakeFiles/L08.dir/src/Program.cpp.o.provides.build
.PHONY : CMakeFiles/L08.dir/src/Program.cpp.o.provides

CMakeFiles/L08.dir/src/Program.cpp.o.provides.build: CMakeFiles/L08.dir/src/Program.cpp.o


CMakeFiles/L08.dir/src/Shape.cpp.o: CMakeFiles/L08.dir/flags.make
CMakeFiles/L08.dir/src/Shape.cpp.o: ../src/Shape.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/shadow8t4/Documents/CSCE441/L08/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Building CXX object CMakeFiles/L08.dir/src/Shape.cpp.o"
	/usr/lib/hardening-wrapper/bin/c++   $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles/L08.dir/src/Shape.cpp.o -c /home/shadow8t4/Documents/CSCE441/L08/src/Shape.cpp

CMakeFiles/L08.dir/src/Shape.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/L08.dir/src/Shape.cpp.i"
	/usr/lib/hardening-wrapper/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/shadow8t4/Documents/CSCE441/L08/src/Shape.cpp > CMakeFiles/L08.dir/src/Shape.cpp.i

CMakeFiles/L08.dir/src/Shape.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/L08.dir/src/Shape.cpp.s"
	/usr/lib/hardening-wrapper/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/shadow8t4/Documents/CSCE441/L08/src/Shape.cpp -o CMakeFiles/L08.dir/src/Shape.cpp.s

CMakeFiles/L08.dir/src/Shape.cpp.o.requires:

.PHONY : CMakeFiles/L08.dir/src/Shape.cpp.o.requires

CMakeFiles/L08.dir/src/Shape.cpp.o.provides: CMakeFiles/L08.dir/src/Shape.cpp.o.requires
	$(MAKE) -f CMakeFiles/L08.dir/build.make CMakeFiles/L08.dir/src/Shape.cpp.o.provides.build
.PHONY : CMakeFiles/L08.dir/src/Shape.cpp.o.provides

CMakeFiles/L08.dir/src/Shape.cpp.o.provides.build: CMakeFiles/L08.dir/src/Shape.cpp.o


CMakeFiles/L08.dir/src/main.cpp.o: CMakeFiles/L08.dir/flags.make
CMakeFiles/L08.dir/src/main.cpp.o: ../src/main.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/shadow8t4/Documents/CSCE441/L08/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_6) "Building CXX object CMakeFiles/L08.dir/src/main.cpp.o"
	/usr/lib/hardening-wrapper/bin/c++   $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles/L08.dir/src/main.cpp.o -c /home/shadow8t4/Documents/CSCE441/L08/src/main.cpp

CMakeFiles/L08.dir/src/main.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/L08.dir/src/main.cpp.i"
	/usr/lib/hardening-wrapper/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/shadow8t4/Documents/CSCE441/L08/src/main.cpp > CMakeFiles/L08.dir/src/main.cpp.i

CMakeFiles/L08.dir/src/main.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/L08.dir/src/main.cpp.s"
	/usr/lib/hardening-wrapper/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/shadow8t4/Documents/CSCE441/L08/src/main.cpp -o CMakeFiles/L08.dir/src/main.cpp.s

CMakeFiles/L08.dir/src/main.cpp.o.requires:

.PHONY : CMakeFiles/L08.dir/src/main.cpp.o.requires

CMakeFiles/L08.dir/src/main.cpp.o.provides: CMakeFiles/L08.dir/src/main.cpp.o.requires
	$(MAKE) -f CMakeFiles/L08.dir/build.make CMakeFiles/L08.dir/src/main.cpp.o.provides.build
.PHONY : CMakeFiles/L08.dir/src/main.cpp.o.provides

CMakeFiles/L08.dir/src/main.cpp.o.provides.build: CMakeFiles/L08.dir/src/main.cpp.o


# Object files for target L08
L08_OBJECTS = \
"CMakeFiles/L08.dir/src/Camera.cpp.o" \
"CMakeFiles/L08.dir/src/GLSL.cpp.o" \
"CMakeFiles/L08.dir/src/MatrixStack.cpp.o" \
"CMakeFiles/L08.dir/src/Program.cpp.o" \
"CMakeFiles/L08.dir/src/Shape.cpp.o" \
"CMakeFiles/L08.dir/src/main.cpp.o"

# External object files for target L08
L08_EXTERNAL_OBJECTS =

L08: CMakeFiles/L08.dir/src/Camera.cpp.o
L08: CMakeFiles/L08.dir/src/GLSL.cpp.o
L08: CMakeFiles/L08.dir/src/MatrixStack.cpp.o
L08: CMakeFiles/L08.dir/src/Program.cpp.o
L08: CMakeFiles/L08.dir/src/Shape.cpp.o
L08: CMakeFiles/L08.dir/src/main.cpp.o
L08: CMakeFiles/L08.dir/build.make
L08: /home/shadow8t4/Documents/CSCE441/libraries/glfw-3.2.1/debug/src/libglfw3.a
L08: /home/shadow8t4/Documents/CSCE441/libraries/glew-2.0.0/lib/libGLEW.a
L08: /usr/lib64/librt.so
L08: /usr/lib64/libm.so
L08: /usr/lib64/libX11.so
L08: /usr/lib64/libXrandr.so
L08: /usr/lib64/libXinerama.so
L08: /usr/lib64/libXxf86vm.so
L08: /usr/lib64/libXcursor.so
L08: CMakeFiles/L08.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --bold --progress-dir=/home/shadow8t4/Documents/CSCE441/L08/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_7) "Linking CXX executable L08"
	$(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/L08.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
CMakeFiles/L08.dir/build: L08

.PHONY : CMakeFiles/L08.dir/build

CMakeFiles/L08.dir/requires: CMakeFiles/L08.dir/src/Camera.cpp.o.requires
CMakeFiles/L08.dir/requires: CMakeFiles/L08.dir/src/GLSL.cpp.o.requires
CMakeFiles/L08.dir/requires: CMakeFiles/L08.dir/src/MatrixStack.cpp.o.requires
CMakeFiles/L08.dir/requires: CMakeFiles/L08.dir/src/Program.cpp.o.requires
CMakeFiles/L08.dir/requires: CMakeFiles/L08.dir/src/Shape.cpp.o.requires
CMakeFiles/L08.dir/requires: CMakeFiles/L08.dir/src/main.cpp.o.requires

.PHONY : CMakeFiles/L08.dir/requires

CMakeFiles/L08.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles/L08.dir/cmake_clean.cmake
.PHONY : CMakeFiles/L08.dir/clean

CMakeFiles/L08.dir/depend:
	cd /home/shadow8t4/Documents/CSCE441/L08/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/shadow8t4/Documents/CSCE441/L08 /home/shadow8t4/Documents/CSCE441/L08 /home/shadow8t4/Documents/CSCE441/L08/build /home/shadow8t4/Documents/CSCE441/L08/build /home/shadow8t4/Documents/CSCE441/L08/build/CMakeFiles/L08.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : CMakeFiles/L08.dir/depend

